@use "../abstract/" as abs;

.about{
    height: 90vh;
    display: flex;
    align-items: center;
    margin: 8rem 0;
    
    @include abs.respond(large) {
        height: 70vh;
        margin: 6rem 0;
    }

    @include abs.respond(medium){
        height: 60vh;
        margin: 4rem 0;
    }


    &__left{
        width: 40%;
        position: relative;
        left: -20rem;

        @include abs.respond(xlarge){
            left: -17rem;
        }

        @include abs.respond(large){
            left: -15rem;
        }

        @include abs.respond(medium){
            display: none;
        }

        & > img {
            width: 100%;
            opacity: .7;
        }
    } 
    
    &__right{
        width: 60%;
        display: flex;
        flex-direction: column;
        align-items: center;

        @include abs.respond(medium){
            width: 100%;
        }
    }

    &__stars{
        margin: 3rem 0;

        @include abs.respond(medium){
            margin: 2rem 0;
        }

        &-star{
            font-size: 1.5rem;
            color: abs.$color-primary;

            &:not(:first-child){
                margin: 0 0 0 1rem;
            }
        }
    }

    &__description{
        font-family: abs.$font-josefinSans;
        font-size: 2.5rem;
        font-style: italic;
        color: abs.$color-secondary;
        margin: 0 15rem;

        @include abs.respond(xlarge){
            font-size: 2rem;
        }

        @include abs.respond(large){
            margin: 0 10rem;
        }

        @include abs.respond(medium){
            font-size: 1.8rem;
        }

        @include abs.respond(small){
            margin: 0 5rem;
        }
        

        &::first-letter{
            padding: 0 0 0 5rem;
        }
    }
}